Subject: Re: is there any docs/manuals for linker scripts symbols

From: <[email-masked]>
Date: Tue, 1 Jul 2003 08:39:02 -0400 (EDT)

Hi Ralf,

On Wed, 25 Jun 2003 [email-masked] wrote:

> On Wed, Jun 25, 2003 at 08:01:24AM -0400, [email-masked] wrote:
> 
> > My board has a boot loader (rom) that enforce/restricts the sections in
> > the elf header, hence I cannot use the default linker script that comes
> > wit the kernel(arch/mips/). 
> 
> Are you sure the loader actually looks at the sections?  That seems plain
> wrong.  Normally a loader should only look at all the PT_LOAD entries in
> the ELF program header table for loading.

I use the device available in my company (which is proprietary), 
I know my point here would be abstract for u...sorry abt that !

Thanks for the reply !
Indu
> 
> > I think your reply could be put as a howto/faqs in
> > http://www.linux-mips.org (for the global symbols
> > used in linux kernel).
> 
> So many things that deserve some well written documentation - yet so little
> exists ...
> 
>   Ralf
>